Bug 1269680 - Chargeback Interval for weeks is not honored
Chargeback Interval for weeks is not honored
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Tim Wade
Nandini Chandra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 19:19 EDT by Nandini Chandra
Modified: 2015-12-08 08:35 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:35:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-10-07 19:19:14 EDT
Description of problem:
-----------------------
While generating chargeback reports,I noticed that Chargeback Interval for weeks is not honored.If an interval for week(s)is specified,it is considered as days and not weeks.


Version-Release number of selected component (if applicable):
----------------------------------
5.5.0.3


How reproducible:
----------------
Always


Steps to Reproduce:
-------------------
1.Enable C&U collection for a provider
2.Create a chargeback report
3.In the Chargeback Interval section,make these selections:
  'Daily ending with' dropdown - Today(partial)
  'Going back' dropdown - 2 weeks
4.Queue the report.


Actual results:
---------------
With the above selections,the report contains data for current day going back 2 days and not 2 weeks.


Expected results:
-----------------
With the above selections,the report should contain data for current day going back 2 weeks.


Additional info:
----------------
Comment 2 Dave Johnson 2015-10-09 17:54:41 EDT
Nandini, I think you said you are seeing this on 5.4 as well?  Please update Version field if that is the case.
Comment 3 Nandini Chandra 2015-10-09 18:56:49 EDT
Dave,

That's correct.This issue is seen in 5.4 as well.I have updated the version field.
Comment 5 Gregg Tanzillo 2015-11-16 18:14:16 EST
PR: https://github.com/ManageIQ/manageiq/pull/5468
Comment 7 CFME Bot 2015-11-16 19:40:25 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/9ad5b86d5d7d71d0b8393d3b414e592bbdc7d035

commit 9ad5b86d5d7d71d0b8393d3b414e592bbdc7d035
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Nov 16 18:05:10 2015 -0500
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Mon Nov 16 18:05:10 2015 -0500

    Fixed "going back" interval for chargeback reports
    
    - Reinstated code that generated selection for "daily" interval that was accidentally removed
    - Fixed bug calculating number of days values in selection for 1, 2, 3 and 4 weeks.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1269680

 app/views/report/_form_filter_chargeback.html.haml | 2 ++
 1 file changed, 2 insertions(+)
Comment 8 CFME Bot 2015-11-17 00:11:08 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=317af54f0c5831563709f5793149ac81da2c997f

commit 317af54f0c5831563709f5793149ac81da2c997f
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Nov 16 18:05:10 2015 -0500
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Mon Nov 16 18:10:29 2015 -0500

    Fixed "going back" interval for chargeback reports
    
    - Reinstated code that generated selection for "daily" interval that was accidentally removed
    - Fixed bug calculating number of days values in selection for 1, 2, 3 and 4 weeks.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1269680

 app/views/report/_form_filter_chargeback.html.haml | 2 ++
 1 file changed, 2 insertions(+)
Comment 9 CFME Bot 2015-11-17 00:11:13 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=25f46048b45d89d152e95333a761f5560694fe77

commit 25f46048b45d89d152e95333a761f5560694fe77
Merge: 0b98cf6 317af54
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Nov 16 23:31:11 2015 -0500
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Mon Nov 16 23:31:11 2015 -0500

    Merge branch 'bz-1269680-chargeback-interval-going-back-ds' into '5.5.z'
    
    Fixed "going back" interval for chargeback reports
    
    - Reinstated code that generated selection for "daily" interval that was accidentally removed
    - Fixed bug calculating number of days values in selection for 1, 2, 3 and 4 weeks.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1269680
    
    This was a clean cherry-pick of https://github.com/ManageIQ/manageiq/pull/5468
    
    See merge request !482

 app/views/report/_form_filter_chargeback.html.haml | 2 ++
 1 file changed, 2 insertions(+)
Comment 10 Nandini Chandra 2015-11-23 13:50:39 EST
Verified in 5.5.0.11
Comment 12 errata-xmlrpc 2015-12-08 08:35:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.